#!/usr/bin/env python
# encoding: utf-8

from generate_bilan import generate_bilan
import optparse
import os
from path import Path

# Defaults settings
this_dir, this_filename = os.path.split(__file__)
default_template = "tpl_bilan.tex"


parser = optparse.OptionParser()
parser.add_option("-c",
        "--classe",
        action="store",
        type="string",
        dest="classe",
        help="The classe")
parser.add_option("-e",
        "--evaluation",
        action="store",
        type="string",
        dest="ds_name",
        help="The evaluation name.")
parser.add_option("-p",
        "--path",
        action="store",
        type="string",
        dest="path",
        default=Path("./"),
        help="Path where xlsx are stored")
parser.add_option("-t",
        "--template",
        action="store",
        type="string",
        dest="template",
        default=default_template,
        help="The template file")
(options, args) = parser.parse_args()

if not options.classe:
    raise ValueError("Need to pass a class with -c. See -h for help")
if not options.ds_name:
    raise ValueError("Need to pass a evaluation name with -e. See -h for help")

generate_bilan(options.classe,
        options.ds_name,
        options.path,
        options.template)

# -----------------------------
# Reglages pour 'vim'
# vim:set autoindent expandtab tabstop=4 shiftwidth=4:
# cursor: 16 del 
